#version 450
layout(location = 0) in vec3 aPos;

layout(std140, binding = 0) uniform Globals {
    mat4 uVP;
    vec3 uOffset;
    vec4 uColor;
};

void main() {
    vec3 world = (aPos - 0.5) * 1.004 + 0.5 + uOffset; // slightly inflated
    gl_Position = uVP * vec4(world, 1.0);
}
